/***************************************************************************
 *            gametree.h
 *
 *  Wed Jul 14 18:14:25 2004
 *  Copyright  2004  Mithun Chaubey
 *  mithun@mithunc.net
 ****************************************************************************/

/*
 *  This file is a part of Grapevine.
 *
 *  Grapevine is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GAMETREE_H
#define _GAMETREE_H

// column identifiers
enum {
	ICON_COLUMN,
	NAME_COLUMN,
	PATH_COLUMN,
	TYPE_COLUMN,
	NUM_COLUMNS
};

enum {
	DIR_TYPE,
	SHORTCUT_TYPE,
	P2P_TYPE,
	P2P_DIR_TYPE
};

// creates and fills our treestore, then sets it as model for treeview
// abstracted for the benefit of refreshTreeView
void tree_TreeViewFill(GtkTreeView* TreeView, char* path);

char* tree_GetPathFromSelection(GtkTreeSelection* selection);

int tree_GetTypeFromSelection(GtkTreeSelection* selection);

#endif // _GAMETREE_H
