/***************************************************************************
 *            wineexecutils.c
 *
 *  Thu Jul 29 21:57:49 2004
 *  Copyright  2004  Mithun Chaubey
 *  mithun@mithunc.net
 ****************************************************************************/

/*
 *  This file is a part of Grapevine.
 *
 *  Grapevine is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <string.h>
#include <gtk/gtk.h>

#include "wineexecutils.h"

char* WineExecText(gint index)
{
	switch(index){
		case WINEEXEC_DEFAULT:
			//return NULL;
			
			//temporary fix
			return "cedega";
		case WINEEXEC_CEDEGA:
			return "cedega";
		case WINEEXEC_WINEX3:
			return "winex3";
		case WINEEXEC_WINELAUNCHER:
			return "winelauncher";
	} // switch
	
	return NULL;
}

gint WineExecIndex(char* text)
{
	if(text == NULL)
		return WINEEXEC_DEFAULT;
	else if(strcmp(text, "cedega") == 0)
		return WINEEXEC_CEDEGA;
	else if(strcmp(text, "winex3") == 0)
		return WINEEXEC_WINEX3;
	else if(strcmp(text, "winelauncher") == 0)
		return WINEEXEC_WINELAUNCHER;
	else
		return WINEEXEC_DEFAULT;
}
