/***************************************************************************
 *            winverutils.h
 *
 *  Thu Jul 29 21:59:07 2004
 *  Copyright  2004  Mithun Chaubey
 *  mithun@mithunc.net
 ****************************************************************************/

/*
 *  This file is a part of Grapevine.
 *
 *  Grapevine is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _WINVERUTILS_H
#define _WINVERUTILS_H

#include <glib.h>

// indexes for the windows version selector
enum {
	WINVER_DEFAULT,
	WINVER_WIN95,
	WINVER_WIN98,
	WINVER_WINME,
	WINVER_NT351,
	WINVER_NT40,
	WINVER_WIN2K,
	WINVER_WINXP,
	WINVER_WIN20,
	WINVER_WIN30,
	WINVER_WIN31
};

char* WinverText(gint index);

gint WinverIndex(char* text);

#endif
